com.saxonica.bytecode.converter

## Class IntegerToFloatCompiler

- java.lang.Object
- - com.saxonica.bytecode.converter.ConverterCompiler
  - - com.saxonica.bytecode.converter.IntegerToFloatCompiler

-     public class IntegerToFloatCompiler
      extends ConverterCompiler

  Generate code for a Integer to Float CastExpression

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.saxonica.bytecode.converter.ConverterCompiler

      `ConverterCompiler.GenericConverterCompiler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegerToFloatCompiler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `compileToItem(CompilerService compiler, Expression expression)`
    `void` | `compileToPrimitive(CompilerService compiler, Expression expression, Class requiredClass, OnEmpty onEmpty)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegerToFloatCompiler

          public IntegerToFloatCompiler()

  - ### Method Detail

    - #### compileToItem

          public void compileToItem(CompilerService compiler,
                           Expression expression)
                             throws CannotCompileException

      Specified by:
        `compileToItem` in class `ConverterCompiler`
      Throws:
        `CannotCompileException`

    - #### compileToPrimitive

          public void compileToPrimitive(CompilerService compiler,
                                Expression expression,
                                Class requiredClass,
                                OnEmpty onEmpty)
                                  throws CannotCompileException

      Overrides:
        `compileToPrimitive` in class `ConverterCompiler`
      Throws:
        `CannotCompileException`

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.